Subject: Re: Git User's Survey 2007 partial summary

From: "Shawn O. Pearce" <[email-masked]>
Date: Sun, 26 Aug 2007 21:40:34 -0400

Jakub Narebski <[email-masked]> wrote:
> 04. Which programming languages are you proficient with?
> 
> It losk like there is only 3/4 people proficient in Perl as compared to 
> Python; it looks like Python is more popular. C is most popular, with 
> only a few (if everything is all right with the results page) people 
> proficient in Tcl/Tk. I'm sorry, git-gui and gitk guys; it looks like
> not many developers...

Rather sad given their user base.  gitk seems to have at least 30%
of the respondants while git-gui is somewhere between 10-14%,
depending upon the question asked.  Odd.  qgit has a smaller
respondant base (~7.7%) but is probably the tool that more Git
users would be comfortable hacking on since it is developed in C++.
 
-- 
Shawn.